NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::HoleFeatureBuilder Class Reference

Represents a Hole feature builder. More...

Inheritance diagram for NXOpen::Features::HoleFeatureBuilder:
NXOpen::Features::RPOBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  HoleSubtype { HoleSubtypeSimple, HoleSubtypeCounterbore, HoleSubtypeCountersink }
 Represents the subtype of the hole. More...
 
- Public Types inherited from NXOpen::Features::RPOBuilder
enum  AssociativityType {
  AssociativityTypeEndPoint, AssociativityTypeArcCenter, AssociativityTypeTangency, AssociativityTypeEndPoint1,
  AssociativityTypeEndPoint2, AssociativityTypeVerticalCenterline1, AssociativityTypeVerticalCenterline2, AssociativityTypeHorizontalCenterline1,
  AssociativityTypeHorizontalCenterline2
}
 Represents the associativity type for a dimension entity. More...
 

Public Member Functions

NXOpen::ExpressionCounterboreDepth ()
 Returns the depth of the counterbore for a hole. More...
 
NXOpen::ExpressionCounterboreDiameter ()
 Returns the diameter of the counterbore for a hole. More...
 
NXOpen::ExpressionCountersinkAngle ()
 Returns the angle of the countersink for a hole. More...
 
NXOpen::ExpressionCountersinkDiameter ()
 Returns the diameter of the countersink for a hole. More...
 
void CreateHole ()
 Creates a hole body which can be positioned
Created in NX3.0.0. More...
 
NXOpen::ExpressionDepth ()
 Returns the depth of the hole. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter of the hole. More...
 
NXOpen::BodyGetTargetBody ()
 Returns target body for the hole. More...
 
NXOpen::ISurfaceGetThruFace ()
 Returns thru face parameter for the hole. More...
 
NXOpen::Point3d HoleLocation ()
 Returns the reference point of the hole. More...
 
NXOpen::ISurfacePlacementFace ()
 Returns the placement face of the hole. More...
 
bool ReverseDirection ()
 Returns the reverse direction flag of the hole. More...
 
void SetCounterboreDepth (const NXString &depth)
 Sets the depth of the counterbore for a hole. More...
 
void SetCounterboreDepth (const char *depth)
 Sets the depth of the counterbore for a hole. More...
 
void SetCounterboreDiameter (const NXString &diameter)
 Sets the diameter of the counterbore for a hole. More...
 
void SetCounterboreDiameter (const char *diameter)
 Sets the diameter of the counterbore for a hole. More...
 
void SetCounterboreHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter, const NXString &counterboreDiameter, const NXString &counterboreDepth)
 Sets parameters for counterbore hole
Created in NX3.0.0. More...
 
void SetCounterboreHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter, const char *counterboreDiameter, const char *counterboreDepth)
 Sets parameters for counterbore hole
Created in NX3.0.0. More...
 
void SetCountersinkAngle (const NXString &angle)
 Sets the angle of the countersink for a hole. More...
 
void SetCountersinkAngle (const char *angle)
 Sets the angle of the countersink for a hole. More...
 
void SetCountersinkDiameter (const NXString &diameter)
 Sets the diameter of the countersink for a hole. More...
 
void SetCountersinkDiameter (const char *diameter)
 Sets the diameter of the countersink for a hole. More...
 
void SetCountersinkHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter, const NXString &countersinkDiameter, const NXString &countersinkAngle)
 Sets parameters for countersink hole
Created in NX3.0.0. More...
 
void SetCountersinkHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter, const char *countersinkDiameter, const char *countersinkAngle)
 Sets parameters for countersink hole
Created in NX3.0.0. More...
 
void SetDepth (const NXString &depth)
 Sets the depth of the hole. More...
 
void SetDepth (const char *depth)
 Sets the depth of the hole. More...
 
void SetDepthAndTipAngle (const NXString &depth, const NXString &tipAngle)
 Sets depth and tip angle parameters for the hole. More...
 
void SetDepthAndTipAngle (const char *depth, const char *tipAngle)
 Sets depth and tip angle parameters for the hole. More...
 
void SetDiameter (const NXString &diameter)
 Sets the diameter of the hole. More...
 
void SetDiameter (const char *diameter)
 Sets the diameter of the hole. More...
 
void SetHoleLocation (const NXOpen::Point3d &referencePoint)
 Sets the reference point of the hole. More...
 
void SetPlacementFace (NXOpen::ISurface *placementFace)
 Sets the placement face of the hole. More...
 
void SetReverseDirection (bool reverse)
 Sets the reverse direction flag of the hole. More...
 
void SetSimpleHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter)
 Sets parameters for simple hole
Created in NX3.0.0. More...
 
void SetSimpleHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter)
 Sets parameters for simple hole
Created in NX3.0.0. More...
 
void SetSubtype (NXOpen::Features::HoleFeatureBuilder::HoleSubtype subtype)
 Sets the type of hole. More...
 
void SetTargetBody (NXOpen::Body *targetBody)
 Sets target body for the hole. More...
 
void SetThruFace (NXOpen::ISurface *thruFace)
 Sets thru face parameter for the hole. More...
 
void SetTipAngle (const NXString &tipAngle)
 Sets the tip angle of the hole. More...
 
void SetTipAngle (const char *tipAngle)
 Sets the tip angle of the hole. More...
 
NXOpen::Features::HoleFeatureBuilder::HoleSubtype Subtype ()
 Returns the type of hole. More...
 
NXOpen::ExpressionTipAngle ()
 Returns the tip angle of the hole. More...
 
- Public Member Functions inherited from NXOpen::Features::RPOBuilder
void ApplyDimensions ()
 Transforms the feature by applying the positioning dimensions
Created in NX3.0.0. More...
 
NXOpen::Features::RPODimensionCreateDimension ()
 Creates a new empty RPODimension object. More...
 
void CreatePositioningDimension ()
 Creates a positioning dimension. More...
 
void GetReferenceDirection (NXOpen::IReferenceAxis **reference, NXOpen::AxisOrientation *orientation)
 Query/Set a horizontal or vertical reference for the feature. More...
 
std::vector
< NXOpen::Features::RPODimension * > 
GetRpoDimensions ()
 Gets the list of RPO dimemsions. More...
 
void HidePositioningDimensions ()
 Hides display of all the positioning dimensions
Created in NX3.0.0. More...
 
void SetExpression (const NXString &expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . More...
 
void SetExpression (const char *expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . More...
 
void SetReferenceDirection (NXOpen::IReferenceAxis *reference, NXOpen::AxisOrientation orientation)
 Sets a horizontal or vertical reference for the feature. More...
 
void SetRpoDimensions (const std::vector< NXOpen::Features::RPODimension * > &dimensions)
 Sets the list of RPO dimemsions. More...
 
void SetTargetAndTool (NXOpen::PositioningDimension::Subtype subtype, NXOpen::NXObject *target, NXOpen::Features::RPOBuilder::AssociativityType targetAssociativity, const NXOpen::Point3d &targetHelpPoint, NXOpen::NXObject *tool, NXOpen::Features::RPOBuilder::AssociativityType toolAssociativity, const NXOpen::Point3d &toolHelpPoint)
 Sets the target and tool entities. More...
 
void ShowPositioningDimensions ()
 Displays all the positioning dimensions
Created in NX3.0.0. More...
 
void UndoLastDimension ()
 Undo the last positioning dimension
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Hole feature builder.

See NXOpen::Features::RPOBuilder for details on positioning the hole.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateHoleFeatureBuilder

Created in NX3.0.0.

Member Enumeration Documentation

Represents the subtype of the hole.

Enumerator
HoleSubtypeSimple 

Simple hole.

HoleSubtypeCounterbore 

Counterbore hole.

HoleSubtypeCountersink 

Countersink hole.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CounterboreDepth ( )

Returns the depth of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CounterboreDiameter ( )

Returns the diameter of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CountersinkAngle ( )

Returns the angle of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CountersinkDiameter ( )

Returns the diameter of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::HoleFeatureBuilder::CreateHole ( )

Creates a hole body which can be positioned
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::Depth ( )

Returns the depth of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::Diameter ( )

Returns the diameter of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Body* NXOpen::Features::HoleFeatureBuilder::GetTargetBody ( )

Returns target body for the hole.

If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.

Returns
Target Body
Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::ISurface* NXOpen::Features::HoleFeatureBuilder::GetThruFace ( )

Returns thru face parameter for the hole.

If this parameter is set then depth and tip angle are ignored.

Returns
Thru face
Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Point3d NXOpen::Features::HoleFeatureBuilder::HoleLocation ( )

Returns the reference point of the hole.

This parameter will position the hole unless relative positioning dimensions are used


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::ISurface* NXOpen::Features::HoleFeatureBuilder::PlacementFace ( )

Returns the placement face of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

bool NXOpen::Features::HoleFeatureBuilder::ReverseDirection ( )

Returns the reverse direction flag of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDepth ( const NXString depth)

Sets the depth of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthcounterbore depth
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDepth ( const char *  depth)

Sets the depth of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthcounterbore depth
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDiameter ( const NXString diameter)

Sets the diameter of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDiameter ( const char *  diameter)

Sets the diameter of the counterbore for a hole.

Only used if the hole type is couterbore


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const NXString diameter,
const NXString counterboreDiameter,
const NXString counterboreDepth 
)

Sets parameters for counterbore hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
counterboreDiameterCounterbore diameter
counterboreDepthCounterbore depth
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const char *  diameter,
const char *  counterboreDiameter,
const char *  counterboreDepth 
)

Sets parameters for counterbore hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
counterboreDiameterCounterbore diameter
counterboreDepthCounterbore depth
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkAngle ( const NXString angle)

Sets the angle of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
anglecountersink angle
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkAngle ( const char *  angle)

Sets the angle of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
anglecountersink angle
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkDiameter ( const NXString diameter)

Sets the diameter of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkDiameter ( const char *  diameter)

Sets the diameter of the countersink for a hole.

Only used if the hole type is coutersink


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const NXString diameter,
const NXString countersinkDiameter,
const NXString countersinkAngle 
)

Sets parameters for countersink hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
countersinkDiameterCountersink diameter
countersinkAngleCountersink angle
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const char *  diameter,
const char *  countersinkDiameter,
const char *  countersinkAngle 
)

Sets parameters for countersink hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
countersinkDiameterCountersink diameter
countersinkAngleCountersink angle
void NXOpen::Features::HoleFeatureBuilder::SetDepth ( const NXString depth)

Sets the depth of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
void NXOpen::Features::HoleFeatureBuilder::SetDepth ( const char *  depth)

Sets the depth of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
void NXOpen::Features::HoleFeatureBuilder::SetDepthAndTipAngle ( const NXString depth,
const NXString tipAngle 
)

Sets depth and tip angle parameters for the hole.


Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
tipAngleTip angle of the tool
void NXOpen::Features::HoleFeatureBuilder::SetDepthAndTipAngle ( const char *  depth,
const char *  tipAngle 
)

Sets depth and tip angle parameters for the hole.


Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
depthHole depth
tipAngleTip angle of the tool
void NXOpen::Features::HoleFeatureBuilder::SetDiameter ( const NXString diameter)

Sets the diameter of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetDiameter ( const char *  diameter)

Sets the diameter of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetHoleLocation ( const NXOpen::Point3d referencePoint)

Sets the reference point of the hole.

This parameter will position the hole unless relative positioning dimensions are used


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
void NXOpen::Features::HoleFeatureBuilder::SetPlacementFace ( NXOpen::ISurface placementFace)

Sets the placement face of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
placementFacePlacement face
void NXOpen::Features::HoleFeatureBuilder::SetReverseDirection ( bool  reverse)

Sets the reverse direction flag of the hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
reversereverse
void NXOpen::Features::HoleFeatureBuilder::SetSimpleHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const NXString diameter 
)

Sets parameters for simple hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetSimpleHole ( const NXOpen::Point3d referencePoint,
bool  reverseDirection,
NXOpen::ISurface placementFace,
const char *  diameter 
)

Sets parameters for simple hole
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referencePointReference point for the hole
reverseDirectionReverse direction flag, applicable only if placement face is a datum plane
placementFacePlacement face
diameterHole diameter
void NXOpen::Features::HoleFeatureBuilder::SetSubtype ( NXOpen::Features::HoleFeatureBuilder::HoleSubtype  subtype)

Sets the type of hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
subtypesubtype
void NXOpen::Features::HoleFeatureBuilder::SetTargetBody ( NXOpen::Body targetBody)

Sets target body for the hole.

If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
targetBodyTarget Body
void NXOpen::Features::HoleFeatureBuilder::SetThruFace ( NXOpen::ISurface thruFace)

Sets thru face parameter for the hole.

If this parameter is set then depth and tip angle are ignored.


Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
thruFaceThru face
void NXOpen::Features::HoleFeatureBuilder::SetTipAngle ( const NXString tipAngle)

Sets the tip angle of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
tipAngleTip angle
void NXOpen::Features::HoleFeatureBuilder::SetTipAngle ( const char *  tipAngle)

Sets the tip angle of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
tipAngleTip angle
NXOpen::Features::HoleFeatureBuilder::HoleSubtype NXOpen::Features::HoleFeatureBuilder::Subtype ( )

Returns the type of hole.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::TipAngle ( )

Returns the tip angle of the hole.

If this parameter is set then the thru face is ignored.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.